%YAML 1.1
---
filename_prefix: ${CASE}.scream.h0
# WARNING: ERS/ERP tets will override this with AVERAGE
averaging_type: average
# One output every 31 days if output frequency is set to once per hour
max_snapshots_per_file: 1
fields:
  physics_${PHYSICS_GRID_TYPE}:
    field_names:
      # see https://github.com/E3SM-Project/scream-docs/blob/master/v1_output/scream_output.Cess.monthly_ne1024.yaml
      # basic
      - landfrac
      - ocnfrac
      # HOMME
      - ps
      - pseudo_density
      - U
      - V
      - omega
      - p_int
      - p_mid
      - z_mid
      #- pseudo_density_dry
      #- p_dry_int
      #- p_dry_mid
      # SHOC + HOMME
      - horiz_winds
      # SHOC
      #- inv_qc_relvar
      - cldfrac_liq
      - eddy_diff_mom
      - sgs_buoy_flux
      - tke
      - pbl_height
      # CLD
      - cldtot
      - cldlow
      - cldmed
      - cldhgh
      - cldfrac_ice_for_analysis
      - cldfrac_tot_for_analysis
      - VapWaterPath
      - IceWaterPath
      - LiqWaterPath
      - RainWaterPath
      - RimeWaterPath
      # P3
      - bm
      - nc
      - ni
      - nr
      - qi
      - qm
      - qr
      #- T_prev_micro_step
      #- qv_prev_micro_step
      #- micro_liq_ice_exchange
      #- micro_vap_ice_exchange
      #- micro_vap_liq_exchange
      - eff_radius_qc
      - eff_radius_qi
      - eff_radius_qr
      - precip_ice_surf_mass
      - precip_liq_surf_mass
      - rainfrac
      # SHOC + P3
      - qc
      - qv
      # SHOC + P3 + RRTMGP + HOMME
      - T_mid
      - RelativeHumidity
      # SPA
      #- aero_g_sw
      #- aero_ssa_sw
      #- aero_tau_lw
      #- aero_tau_sw
      #- nccn
      - AerosolOpticalDepth550nm
      # MAMxx
      - DMS
      - H2O2
      - H2SO4
      - O3
      - SO2
      - SOAG
      # interstitial
      - num_a1
      - num_a2
      - num_a3
      - num_a4
      - bc_a1
      - pom_a1
      - so4_a1
      - soa_a1
      - dst_a1
      - nacl_a1
      - mom_a1
      - so4_a2
      - soa_a2
      - mom_a2
      - nacl_a2
      - bc_a3
      - pom_a3
      - so4_a3
      - soa_a3
      - mom_a3
      - dst_a3
      - nacl_a3
      - bc_a4
      - pom_a4
      - mom_a4
      # cloud-borne
      - num_c1
      - num_c2
      - num_c3
      - num_c4
      - bc_c1
      - pom_c1
      - so4_c1
      - soa_c1
      - dst_c1
      - nacl_c1
      - mom_c1
      - so4_c2
      - soa_c2
      - mom_c2
      - nacl_c2
      - bc_c3
      - pom_c3
      - so4_c3
      - soa_c3
      - mom_c3
      - dst_c3
      - nacl_c3
      - bc_c4
      - pom_c4
      - mom_c4
      # MAMxx aci
      - ccn_0p02
      - ccn_0p05
      - ccn_0p1
      - ccn_0p2
      - ccn_0p5
      - ccn_1p0
      - nc_inp_to_aci
      - nsource
      - ndropmix
      - nc_nuceat_tend
      - ni_activated 
      - hetfrz_immersion_nucleation_tend
      - hetfrz_contact_nucleation_tend
      - hetfrz_deposition_nucleation_tend
      # MAMxx emission
      - constituent_fluxes
      # MAMxx micro
      - mam4_external_forcing
      - mam4_external_forcing_vert_sum_dz_weighted
      #- dqdt_so4_aqueous_chemistry
      #- dqdt_h2so4_uptake
      - mam4_microphysics_tendency_gas_phase_chemistry
      - mam4_microphysics_tendency_gas_phase_chemistry_vert_sum_dp_weighted
      - mam4_microphysics_tendency_aqueous_chemistry
      - mam4_microphysics_tendency_aqueous_chemistry_vert_sum_dp_weighted
      - mam4_microphysics_tendency_condensation
      - mam4_microphysics_tendency_renaming
      - mam4_microphysics_tendency_renaming_cloud_borne
      - mam4_microphysics_tendency_nucleation
      - mam4_microphysics_tendency_coagulation
      - mam4_microphysics_tendency_condensation_vert_sum_dp_weighted
      - mam4_microphysics_tendency_renaming_vert_sum_dp_weighted
      - mam4_microphysics_tendency_renaming_cloud_borne_vert_sum_dp_weighted
      - mam4_microphysics_tendency_nucleation_vert_sum_dp_weighted
      - mam4_microphysics_tendency_coagulation_vert_sum_dp_weighted
      # MAMxx wetdep
      - dgnum
      - dgnumwet
      - qaerwat
      - wetdens
      - aerdepwetis
      - aerdepwetcw
      # MAMxx drydep
      - deposition_flux_of_cloud_borne_aerosols
      - deposition_flux_of_interstitial_aerosols 
      # MAMxx optics 
      - aero_g_sw
      - aero_ssa_sw
      - aero_tau_sw
      - aero_tau_lw
      ###- aero_tau_forward
      # RRTMGP
      - SW_flux_up_at_model_top
      - SW_flux_dn_at_model_top
      - LW_flux_up_at_model_top
      - SW_clrsky_flux_up_at_model_top
      - LW_clrsky_flux_up_at_model_top
      - SW_flux_dn_at_model_bot
      - SW_clrsky_flux_dn_at_model_bot
      - SW_flux_up_at_model_bot
      - SW_clrsky_flux_up_at_model_bot
      - LW_flux_dn_at_model_bot
      - LW_clrsky_flux_dn_at_model_bot
      - LW_flux_up_at_model_bot
      # radiation double call 
      - SW_clnclrsky_flux_dn
      - SW_clnclrsky_flux_up
      - SW_clnclrsky_flux_dn_dir
      - SW_clnsky_flux_dn
      - SW_clnsky_flux_up
      - SW_clnsky_flux_dn_dir
      - LW_clnclrsky_flux_up
      - LW_clnclrsky_flux_dn
      - LW_clnsky_flux_up
      - LW_clnsky_flux_dn
      # TOA radiation flux
      - ShortwaveCloudForcing
      - LongwaveCloudForcing
      - SW_flux_dn
      - SW_flux_up
      - SW_flux_dn_dir
      - LW_flux_up
      - LW_flux_dn
      - SW_clrsky_flux_dn
      - SW_clrsky_flux_up
      - SW_clrsky_flux_dn_dir
      - LW_clrsky_flux_up
      - LW_clrsky_flux_dn
      # surface radiation flux
      - sfc_flux_dir_nir
      - sfc_flux_dir_vis
      - sfc_flux_dif_nir
      - sfc_flux_dif_vis
      - sfc_alb_dir_vis
      - sfc_alb_dir_nir
      - sfc_alb_dif_vis
      - sfc_alb_dif_nir
      - sfc_flux_lw_dn
      - sfc_flux_sw_net
      # heating rate
      - rad_heating_pdel
      # Surface Fluxes
      - surf_evap
      - surf_sens_flux
      - surface_upward_latent_heat_flux
        #- precip_liq_surf_mass_flux
        #- precip_ice_surf_mass_flux
      # Diagnostics
      - PotentialTemperature
      ###- LiqWaterPath
      ###- IceWaterPath
      ###- VapWaterPath
      ###- RainWaterPath
      ###- RimeWaterPath
      #- T_mid_at_lev_2
      #- T_mid_at_model_top
      #- T_mid_at_model_bot
      #- T_mid_at_500mb
      #- T_mid_at_500hPa
      #- T_mid_at_50000Pa
      #- PotentialTemperature
      #- AtmosphereDensity
      #- Exner
      #- VirtualTemperature
      #- z_int
      #- geopotential_mid
      #- dz
      #- DryStaticEnergy
      #- SeaLevelPressure
      #- RelativeHumidity
      #- ZonalVapFlux
      #- MeridionalVapFlux
      #- PotentialTemperature_at_model_top
      #- PotentialTemperature_at_500mb
      # AeroCom
      - T_mid_at_cldtop
      - p_mid_at_cldtop
      - cldfrac_ice_at_cldtop
      - cldfrac_liq_at_cldtop
      - cldfrac_tot_at_cldtop
      - cdnc_at_cldtop
      - eff_radius_qc_at_cldtop
      - eff_radius_qi_at_cldtop
      # AeroCom
  # GLL output for homme states.
  dynamics:
    field_names:
      - ps_dyn
      - dp3d_dyn
      - omega_dyn
    io_grid_name: physics_gll
output_control:
# WARNING: ERS/ERP tets will override this with STOP_N/STOP_OPTION
# Frequency: ${HIST_N}
  frequency: 1
# frequency_units: ${HIST_OPTION}
  frequency_units: nmonths
restart:
  force_new_file: true
...
